Name:             webkitkde
Version:          0.0.5
Release:          0.2.svn1088283%{?dist}
Summary:          QtWebKit bindings to KDE
Group:            System Environment/Libraries
License:          LGPLv2+
URL:              http://techbase.kde.org/Projects/WebKit

# The source for this package was pulled from upstream's vcs.
# Use the following commands to generate the tarball:
#  svn export -r 1088283 svn://anonsvn.kde.org/home/kde/trunk/kdereview/kwebkitpart webkitkde-0.0.5-svn
#  tar -cjf webkitkde-0.0.5-svn.tar.bz2 webkitkde-0.0.5-svn

Source0:          %{name}-%{version}-svn.tar.bz2
Patch0:           webkitkde-remove-kdelauncher.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    cmake gettext
BuildRequires:    kdelibs4-devel >= 4.4.0

%description
This project aims to integrate WebKit (QtWebKit) into KDE.
The project is made up of the following components:
- kdewebkit: The binding between KDE and QtWebKit
- kwebkitpart: A KPart based on it
The kdewebkit library sits on top of QtWebKit, providing
KDE integration (for example, WebActions using KDE icons
and shortcuts, downloading using KIO, etc).

%package -n webkitpart
Summary:          A KPart based on WebKitKDE library
Group:            System Environment/Libraries
%description -n webkitpart
KWebKitPart is a KPart that allows KPart-based applications,
for example Konqueror, to make use of WebKit for viewing
web pages.

%package -n webkitpart-devel
Summary:          Development files for webkitpart
Group:            Development/Libraries
Requires:         kdelibs4-devel
Requires:         webkitpart = %{version}-%{release}
%description -n webkitpart-devel
Development files for the webkitpart.

%prep
%setup -q -n %{name}-%{version}-svn
%patch0

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
#mkdir $RPM_BUILD_ROOT%{_kde4_appsdir}/webkitpart/kpartplugins

%clean
rm -rf $RPM_BUILD_ROOT

%post -n webkitpart
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n webkitpart
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun -n webkitpart
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%files -n webkitpart
%defattr(-,root,root,-)
%doc README COPYING.LIB
%{_kde4_libdir}/kde4/kwebkitpart.so*
%{_kde4_libdir}/libkwebkit.so.*
%{_kde4_iconsdir}/hicolor/*/apps/webkit.png
%{_kde4_appsdir}/kwebkitpart
%{_kde4_datadir}/kde4/services/kwebkitpart.desktop

%files -n webkitpart-devel
%defattr(-,root,root,-)
%doc README
%{_kde4_includedir}/KDE/KWebKitPart
%{_kde4_includedir}/kwebkitpart.h
%{_kde4_includedir}/kwebkit_export.h
%{_kde4_libdir}/libkwebkit.so
%{_kde4_appsdir}/cmake/modules/FindKWebKitPart.cmake

%changelog
* Wed Mar 24 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.5-0.2.svn1088283
- drop webkitkde package
- removed Requires: webkitkde from webkitpart

* Wed Feb 10 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.5-0.1.svn1088283
- update to kwebkitpart snapshot from kdereview

* Wed Feb 10 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.4-0.3.svn1079265
- build only for kdelibs >= 4.4.0

* Sun Jan 24 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.4-0.2.svn1079265
- svn 1079265. Fixed the library and header file names.

* Sat Jan 23 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.4-0.1.svn1078162
- svn 1078162

* Thu Dec  3 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.3-0.2.svn1057318
- svn 1057318

* Tue Nov 24 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.3-0.1.svn1049337
- version changed to 0.0.3 (kdewebkit moved to kdelibs 4.4)
- drop webkitkde-devel subpackage for KDE 4.4

* Wed Nov 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.0.2-0.2.20091109svn
- rebuild (qt-4.6.0-rc1, fc13+)

* Mon Nov  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.2-0.1.20091109svn
- version changed to 0.0.2 for new API

* Mon Nov  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.1-0.6.20091109svn
- removed kdelauncher from CMakeLists because it not installs

* Mon Nov  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.1-0.5.20091109svn
- snapshot 1046552 with new API

* Sun Sep 27 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.1-0.2.20090924svn
- webkitpart should owns kpartplugins in webkitpart apps dir

* Thu Sep 24 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.1-0.1.20090924svn
- Initial RPM release
